/**************************************************************/
/*					  Jewel Crafting System 3
/* 
/*	Scripted by Ravenal/awakenlands
/*  Completed on:  5/31/2005
/*
/*	This script is for anyone to use and edit, please be 
/*  considerate not to claim this as your script, thanks.
/*	
/*	Script Site:	   http://jcs3.uniphix.com
/*	Shard's Site:	   http://www.paragonix.org
/*	Developer's Site:  http://www.orbsydia.com
/*	Emulator's Site:   http://www.runuo.com
/*
/*					  Script Version 3.0b
/**************************************************************/

using System;
using Server;
using Server.Engines.Craft;

namespace Server.Items
{
	[Flipable( 0x1EB8, 0x1EB9 )]
	public class JewelryKit : BaseTool
	{
		public override CraftSystem CraftSystem{ get{ return DefJewelCraft.CraftSystem; } }

		[Constructable]
		public JewelryKit() : this( 50 )
		{
		}

		[Constructable]
		public JewelryKit( int uses ) : base( uses, 0x1EB8 )
		{
			Hue = Server.Engines.JewelCraft.JCore.JewelryKitHue;
			Weight = 1.0;
		}

		public JewelryKit( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}
