/**************************************************************/
/*					  Jewel Crafting System 3
/* 
/*	Scripted by Ravenal/awakenlands
/*  Completed on:  5/31/2005
/*
/*	This script is for anyone to use and edit, please be 
/*  considerate not to claim this as your script, thanks.
/*
/*	This Script is an Edited Script for the use of JCS3.
/*	
/*	Script Site:	   http://jcs3.uniphix.com
/*	Shard's Site:	   http://www.paragonix.org
/*	Developer's Site:  http://www.orbsydia.com
/*	Emulator's Site:   http://www.runuo.com
/*
/*					  Script Version 3.0d
/**************************************************************/

using System;
using Server;

namespace Server.Items
{
	public class BraceletOfHealth : GoldBracelet
	{
		public override int LabelNumber{ get{ return 1061103; } } // Bracelet of Health
		
		public override bool CanEnchant
		{
			get
			{
				return false;
			}
		}


		[Constructable]
		public BraceletOfHealth()
		{
			ArtifactRarity = 11;
			BarType = BarType.None;
			Name = null;
			Hue = 0x21;
			Attributes.BonusHits = 5;
			Attributes.RegenHits = 10;
		}

		public BraceletOfHealth( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}
