/**************************************************************/
/*					  Jewel Crafting System 3
/* 
/*	Scripted by Ravenal/awakenlands
/*  Completed on:  5/31/2005
/*
/*	This script is for anyone to use and edit, please be 
/*  considerate not to claim this as your script, thanks.
/*	
/*	Script Site:	   http://jcs3.uniphix.com
/*	Shard's Site:	   http://www.paragonix.org
/*	Developer's Site:  http://www.orbsydia.com
/*	Emulator's Site:   http://www.runuo.com
/*
/*					  Script Version 3.0b
/**************************************************************/

using System;
using Server;
using Server.Engines.Harvest;
using Server.Engines.JewelCraft;

namespace Server.Items
{
	public class JewelryShovel : BaseHarvestTool
	{
		public override HarvestSystem HarvestSystem{ get{ return CrystalMining.System; } }

		[Constructable]
		public JewelryShovel() : this( 50 )
		{
		}

		[Constructable]
		public JewelryShovel( int uses ) : base( uses, 0xF39 )
		{
			Name = "jewelry digging shovel";
			Hue = Server.Engines.JewelCraft.JCore.JewelryShovelHue;
			Weight = 5.0;
		}

		public JewelryShovel( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}